#92833 Report by node gpitremac1 covering 1332 tests from 38 modules resulted into 3 errors

Report

ObsPy Version
1.0.1
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
169.8 sec
Report Date/Time
2018-03-05 02:53:20

System / Python

Architecture
64bit
Machine
x86_64
Node
gpitremac1
Processor
x86_64
Python Compiler
GCC
Python Implementation
CPython
Python Version
3.4.1
Release
4.1.15-8-default
System
Linux
Version
#1 SMP PREEMPT Wed Jan 20 16:41:00 UTC 2016 (0e3b3ab)

Dependencies

cartopy
---
decorator
4.0.9
flake8
---
future
0.15.2
geographiclib
---
lxml.etree
3.4.4
m2crypto
---
matplotlib
1.4.3
mock
---
mpl_toolkits.basemap
---
numpy
1.9.3
osgeo.gdal
---
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
---
requests
2.7.0
scipy
0.16.0
setuptools
18.3.2
sqlalchemy
1.0.12

Modules (38)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 2 1 2
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.datamark - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.sac - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.signal 1 3
obspy.taup - -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.stream.read
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 1, in read
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 137, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[10]>", line 1, in <module>
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
File "<decorator-gen-42>", line 2, in read
File "/usr/lib64/python3.4/site-packages/obspy/core/util/decorator.py", line 289, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.4/site-packages/obspy/core/util/base.py", line 594, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 150, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/slist.ascii.bz2")
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[15]>", line 1, in <module>
st = read("https://examples.obspy.org/slist.ascii.bz2")
File "<decorator-gen-42>", line 2, in read
File "/usr/lib64/python3.4/site-packages/obspy/core/util/decorator.py", line 289, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.4/site-packages/obspy/core/util/base.py", line 594, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 160, in obspy.core.stream.read
Failed example:
stringio_obj = io.BytesIO(requests.get(example_url).content)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[20]>", line 1, in <module>
stringio_obj = io.BytesIO(requests.get(example_url).content)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 161, in obspy.core.stream.read
Failed example:
st = read(stringio_obj)
Exception raised:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[21]>", line 1, in <module>
st = read(stringio_obj)
NameError: name 'stringio_obj' is not defined
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 162, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:33:49.850000Z - ... | 200.0 Hz, 12000 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 170, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z",
starttime=dt, endtime=dt+10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[25]>", line 2, in <module>
starttime=dt, endtime=dt+10)
File "<decorator-gen-42>", line 2, in read
File "/usr/lib64/python3.4/site-packages/obspy/core/util/decorator.py", line 289, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.4/site-packages/obspy/core/util/base.py", line 594, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 172, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:34:00.000000Z - ... | 200.0 Hz, 2001 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/site-packages/obspy/core/tests/test_stream.py", line 1720, in test_read
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "<decorator-gen-42>", line 2, in read
File "/usr/lib64/python3.4/site-packages/obspy/core/util/decorator.py", line 289, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.4/site-packages/obspy/core/util/base.py", line 594, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/usr/lib64/python3.4/site-packages/obspy/signal/tf_misfit.py", line 1397, in plot_tfr
----------------------------------------------------------------------
File "/usr/lib64/python3.4/site-packages/obspy/signal/tf_misfit.py", line 1438, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
body=body, headers=headers)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 341, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 761, in _validate_conn
conn.connect()
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 238, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 279, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib64/python3.4/ssl.py", line 364, in wrap_socket
_context=self)
File "/usr/lib64/python3.4/ssl.py", line 578, in __init__
self.do_handshake()
File "/usr/lib64/python3.4/ssl.py", line 805, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 367, in send
timeout=timeout
File "/usr/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 574, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib64/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-42>", line 2, in read
File "/usr/lib64/python3.4/site-packages/obspy/core/util/decorator.py", line 289, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib64/python3.4/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/usr/lib64/python3.4/site-packages/obspy/core/util/base.py", line 594, in download_to_file
r = requests.get(url, stream=True)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 69, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/api.py", line 50, in request
response = session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 465, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.4/site-packages/requests/sessions.py", line 573, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.4/site-packages/requests/adapters.py", line 428, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:598)

Slowest Tests (20)

Runtime Test
11.976s test_kennet_ak135_ttime_tables_s_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
11.839s test_kennet_ak135_ttime_tables_p_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
10.707s test_kennet_ak135_ttime_tables_p_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
8.636s test_kennet_ak135_ttime_tables_s_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.571s test_kennet_ak135_ttime_tables_pkikp (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.495s test_kennet_ak135_ttime_tables_scs (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.121s test_kennet_ak135_ttime_tables_pcp (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.469s test_kennet_ak135_ttime_tables_scp (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.225s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.738s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
3.732s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
2.678s test_plot_ref_time_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.668s test_plot_default_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.634s test_evalresp_file_like_object (obspy.signal.tests.test_invsim.InvSimTestCase)
2.622s test_plot_colored_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.621s test_plot_azim_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.614s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.425s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
2.281s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.160s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)

Chuck Norris Fact

Chuck Norris's programs can pass the Turing Test by staring at the interrogator.